Arduino Library support for Arduino IDE 1.5.8


#1

I received this question from a developer and am posting here to answer

I use the Exosite library with Arduino IDE 1.0.x for cloud communication and it is working great.

Recently, I upgrade Arduino IDE from 1.0.x to 1.5.8 and I get error while re-compiler the whole project. Do you have new version of library for Arduino IDE 1.5.8?

Following are the error message coming from Arduino IDE 1.5.8.

WifiReadWriteString.ino:30:20: fatal error: EEPROM.h: No such file or directory

compilation terminated.

Error compiling.


#2

I have used Arduino IDE 1.5.7 with the Exosite Arduino library. You likely need to make sure to update your library, as there were changes that were required with this new version of Arduino IDE 1.5.x. Namely, your problem is that you need to add the following to your sketch:

#include <EEPROM.h>

This was covered with this update to the library examples: